/* = 后台界面
-------------------------------------------------------------- */
body {
	font-family: var(--thyuu--font-family-normal);
	background-image: radial-gradient(circle at 25% 65%, hsl(var(--thyuu--main-color) / .1), #0000 25%), radial-gradient(circle at 75% 35%, hsl(var(--thyuu--subs-color) / .1), #0000 25%);
	background-attachment: fixed;
	background-repeat: no-repeat;
}
input[type=color], input[type=date], input[type=datetime-local], input[type=datetime], input[type=email], input[type=month], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=time], input[type=url], input[type=week], select, textarea, .wp-core-ui select {
	border-color: rgba(0, 0, 0, .15);
	border-radius: .5em;
}
input::placeholder {
	color: rgb(0 0 0 / .3);
}
.postbox,
.postbox .activity-block,
.stuffbox,
.form-wrap,
.form-table,
.welcome-panel,
.wp-core-ui .button,
.wp-core-ui .button-secondary,
#wp-content-editor-container,
.community-events li,
.customize-control .attachment-media-view .button-add-media,
#customize-controls :is(img, video) {
	border-radius: var(--thyuu--size-radius);
}
.postbox,
.stuffbox,
.postbox-header,
#wp-content-editor-container {
	border-color: #f0f0f1;
	box-shadow: none;
}
.postbox {
	padding: .5em 0;
}
.postbox .activity-block {
	background-color: #f6f7f7;
	margin: .5em -.5em 0;
	border: 0 !important;
}
.postbox .postbox-header {
	border: 0;
}
.avatar {
	border-radius: 50% !important;
}
.form-wrap,
.form-table {
	display: block;
	padding: .5em 1em;
	margin-bottom: 2em;
	background: hsl(0deg 0% 100% / .7);
}
.form-table th {
	padding: 1em 1em 1em 0;
}
.form-table .description {
	font-size: 12px;
	margin-top: .5em;
}
.form-table ol.description {
	border-left: thin solid #ccc;
	padding: 0 0 0 2em;
	margin-left: 0;
	opacity: .7;
	line-height: 1.5;
}
.form-table .description:first-of-type {
	margin-top: .75em;
}
.form-table .description:first-child {
	margin-top: 0;
}
.form-table + .submit {
	display: flex;
	flex-wrap: wrap;
	gap: 1em;
}
.CodeMirror,
#templateside li {
	font-family: var(--thyuu--font-family-coder);
	font-size: 12px;
}

/* = 登录界面
-------------------------------------------------------------- */
body.login {
	display: flex;
	flex-flow: column;
	background-image: none;
}
body.login:before {
	content: "";
	position: fixed;
	inset: -2em;
	z-index: -1;
	opacity: .15;
	filter: blur(1em);
}
body.login #login h1 a {
	pointer-events: none;
}
body.login :is(#login form, #language-switcher select) {
	border-radius: 1em;
	border: 0;
	-webkit-backdrop-filter: blur(1em) saturate(2);
	backdrop-filter: blur(1em) saturate(2);
	background: hsl(0deg 0% 100% / .7);
}
body.login form input:is([type=text],[type=password]) {
	font-size: 1em !important;
	background: #ffffff80;
	border-color: #ccc;
	border-radius: 1em;
	padding: 0 1em;
	margin-right: 0;
}
body.login .form-captcha {
	display: flex;
	justify-content: space-between;
	align-items: flex-start;
	flex-flow: row-reverse wrap;
	gap: .25em;
}
body.login .form-captcha label {
	order: -1;
}
body.login .form-captcha label:not([for="url"]) {
	font-size: 12px;
	opacity: .5;
	width: 50%;
	align-self: center;
}
body.login .form-captcha img {
	flex: none;
	height: 3em;
	border: thin solid #ccc;
	border-radius: 1em;
}
body.login .form-captcha input {
	flex: 1;
}

/* = 定制界面
-------------------------------------------------------------- */
.thyuu-group {
	position: relative;
	display: flex;
	flex-wrap: wrap;
	gap: 1em;
}
.thyuu-group.is-column {
	flex-flow: column;
}
.thyuu-group.has-radio > * {
	flex: 0 0 min(15em, 100%);
	min-width: 15em;
}
.thyuu-group.has-radio label .description {
	margin-left: 2em;
}
.customize-control-checkbox input[type=checkbox],
.thyuu-input[type=checkbox] {
	display: inline-flex;
	align-items: center;
	font-size: inherit;
	padding: .25em !important;
	margin: 0;
	border: 0;
	width: auto;
	height: 1.5em;
	aspect-ratio: 2 / 1;
	background-color: #ccc;
	border-radius: 2em;
	transition: 1s;
	vertical-align: baseline;
}
.customize-control-checkbox input[type=checkbox]:checked,
.thyuu-input[type=checkbox]:checked {
	background: var(--wp-admin-theme-color,#2271b1);
}
.customize-control-checkbox input[type=checkbox]:before,
.customize-control-checkbox input[type=checkbox]:checked::before,
.thyuu-input[type=checkbox]:checked::before,
.thyuu-input[type=checkbox]:before {
	content: "";
	position: relative;
	margin: 0;
	left: 0;
	height: 100%;
	width: auto;
	aspect-ratio: 1;
	border-radius: 50%;
	background-color: white;
	transition: .4s;
}
.customize-control-checkbox input[type=checkbox]:checked::before,
.thyuu-input[type=checkbox]:checked::before {
	transform: translateX(-100%);
	left: 100%;
}
.thyuu-input[type=radio] {
	display: inline-flex;
	height: 1.25em;
	width: 1.25em;
	min-width: 1.25em;
	margin: -.125em .5em 0 0 !important;
	line-height: 1;
	box-shadow: none;
	justify-content: center;
	align-items: center;
}
.thyuu-input[type=radio]:checked {
	box-shadow: none;
	border: none;
}
.thyuu-input[type=radio]:checked::before {
	width: auto;
	height: auto;
	margin: 0;
	line-height: 1;
	color: var(--wp-admin-theme-color);
	font-family: "thyuu-iconfont";
	content: "\e66a";
	background: 0;
	font-size: 1.25em;
}
.thyuu-input[type=radio]:checked + span {
	color: var(--wp-admin-theme-color);
}
:is(.thyuu-card, .thyuu-card-menu, .thyuu-paginate) a {
	color: inherit;
	text-decoration: none;
}
.thyuu-card {
	display: grid;
	grid: auto / repeat(auto-fill, minmax(min(30em, 100%), 1fr));
	gap: 1em;
	margin: 1em 0;
	width: 100%;
}
.thyuu-card.is-column {
	grid: auto / auto;
	gap: .5em;
}
.thyuu-card.is-tables {
	grid: auto / auto;
	gap: 0;
	background: hsl(0deg 0% 100% / 70%);
	border-radius: 1em;
}
.thyuu-card li {
	display: flex;
	justify-content: space-between;
	align-content: space-between;
	align-items: center;
	flex-wrap: wrap;
	padding: 1em;
	gap: 1em;
	margin: 0;
	background-color: #fff;
	border-radius: 1em;
	overflow: hidden;
}
.thyuu-card.is-column li > * {
	flex: 1;
	min-width: min(20em, 100%);
}
.thyuu-card.is-tables li {
	padding-block: .5em;
	background: none;
	border-radius: 0;
}
.thyuu-card.is-tables li:not(:last-child) {
	border-bottom: thin solid #e9e9e9;
}
.thyuu-card header {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	align-items: center;
	gap: 1em .5em;
	width: 100%;
}
.thyuu-card header > *:last-child {
	margin: 0 0 0 auto;
	font-size: 12px;
	opacity: .3;
}
.thyuu-card article {
	display: flex;
	flex-wrap: wrap;
	gap: 1em .5em;
}
.thyuu-card article > * {
	margin: 0;
	display: -webkit-inline-box;
	-webkit-box-orient: vertical;
	-webkit-line-clamp: 3;
	text-overflow: ellipsis;
	overflow: hidden;
}
.thyuu-card footer {
	display: flex;
	justify-content: space-between;
	align-items: center;
	flex-wrap: wrap;
	gap: .5em;
	width: 100%;
}
.thyuu-card footer time {
	flex: 1;
	font-size: 12px;
	opacity: .5;
	margin: 0 auto 0 0;
}
.thyuu-card .button {
	--btn-color: 200deg 60% 40%;
	display: flex;
	gap: .5em;
	color: hsl(var(--btn-color));
	border: 0;
	font-size: 12px;
	height: 2.5em;
	min-height: 2.5em;
	line-height: 1.5em;
	padding: .5em 1em;
	margin: 0;
	transition: .3s;
}
.thyuu-card .button:hover {
	color: white;
	background: hsl(var(--btn-color, 200deg 60% 40%));
}
.thyuu-card .button.im {
	--btn-color: 0deg 60% 40%;
}
.thyuu-card-menu {
	clear: both;
	position: sticky;
	display: flex;
	color: white;
	width: fit-content;
	margin: auto;
	bottom: 2em;
	border-radius: 2em;
	justify-content: space-between;
	padding: 1em 2em;
	gap: 1em 2em;
	flex-wrap: wrap;
	background-color: hsl(0deg 0% 0% / .7);
	backdrop-filter: blur(10px);
	box-shadow: 0 .5em 1em hsl(0deg 0% 0% / .3);
	z-index: 2;
	overflow: hidden;
}
.thyuu-link,.thyuu-tips {
	color: var(--wp-components-color-accent, var(--wp-admin-theme-color, #3858e9));
	font-size: 12px;
	text-decoration: none;
}
.thyuu-tips:not(span)::before {
	content: "\e655";
	font: 12px/1 thyuu-iconfont;
	margin: -.5em;
	padding: .5em;
	cursor: help;
}
.thyuu-tips ul {
	position: absolute;
	display: flex;
	flex-flow: column;
	gap: .5em;
	inset-inline: 0;
	top: 0;
	color: white;
	background: var(--wp-components-color-accent, var(--wp-admin-theme-color, #3858e9));
	padding: 1em;
	font-size: 12px;
	max-width: 100%;
	border: thin solid;
	border-radius: .5em;
	pointer-events: none;
	opacity: 0;
	transition: .3s;
	transform: translateY(-100%) scale(.98);
	transform-origin: bottom;
	z-index: 2;
}
.thyuu-tips:hover ul {
	opacity: 1;
	transform: translateY(calc(-100% - 1.5em));
}
.thyuu-tips.on-bottom ul {
	transform: scale(.98);
	transform-origin: top;
}
.thyuu-tips.on-bottom:hover ul {
	transform: translateY(1em);
}
.thyuu-tips ul li {
	margin: 0 0 0 1em;
	list-style: auto;
}
.thyuu-paginate {
	display: flex;
	align-items: center;
	align-self: center;
	color: hsl(var(--thyuu--color-font) / .7);
	font-size: var(--thyuu--size-medium);
	font-variant-numeric: tabular-nums;
	width: fit-content;
	line-height: 2;
	gap: .5em;
	box-shadow: var(--thyuu--shadow-shift);
	margin: 0 auto;
}
.thyuu-paginate .page-numbers:where(.next,.prev) {
	order: -1;
	flex: none;
	background: 0;
}
.thyuu-paginate .page-numbers.dots {
	font-family: monospace;
	opacity: .5;
}
.thyuu-paginate :is(.post-page-numbers, .page-numbers):not(.next,.prev,.dots) {
	text-align: center;
	min-width: 2em;
	padding: .25em;
	outline: thin solid #0000;
	outline-offset: 2em;
	border-radius: 2em;
	background: var(--thyuu--color-back-font);
	white-space: nowrap;
	transition: .5s;
}
.thyuu-paginate :is(.post-page-numbers, .page-numbers):not(.next,.prev,.dots):hover {
	outline-color: hsl(var(--thyuu--subs-color) / .8);
	outline-offset: 0;
	background: 0;
}
.thyuu-paginate :is(.post-page-numbers, .page-numbers).current {
	color: hsl(var(--thyuu--main-color) / .8);
	background: hsl(var(--thyuu--subs-color) / .2);
	cursor: no-drop;
}
.thyuu-item-status {
	display: inline-flex;
	align-items: center;
	font-size: min(12px, 1em);
	font-style: normal;
	color: hsl(var(--status-color, 0deg 0% 50%) / .7);
	gap: .25em;
	border-radius: 1em;
	line-height: 1;
}
.thyuu-item-status.thyuu-icon-cancel {
	--status-color: 0deg 100% 50%;
}
.thyuu-item-status.thyuu-icon-done {
	--status-color: 120deg 100% 25%;
}
.thyuu-item-status.thyuu-icon-progress {
	--status-color: 200deg 60% 50%;
}
.thyuu-item-status::before {
	background: hsl(var(--status-color, 0deg 0% 50%) / .1);
	padding: .5em;
	border-radius: 1em;
}
.thyuu-user-form h1 {
	padding-top: 2em;
}
.thyuu-user-form h3:before {
	margin: 0 .5em 0 0;
	font-weight: 400;
}
.thyuu-meta-form > div {
	display: flex;
	flex-flow: column;
	gap: .5em;
	flex: min(10em,100%);
}
.thyuu-meta-form h6 {
	display: flex;
	gap: .5em;
	font-size: inherit;
	font-weight: inherit;
	margin: 0 auto 0 0;
}
.thyuu-meta-form label {
	position: relative;
	display: flex;
	gap: 1em;
	flex-wrap: wrap;
	align-items: center;
	font-family: var(--thyuu--font-family-normal);
	font-size: 12px !important;
	font-weight: 500 !important;
}
.thyuu-meta-form :is(input, select) {
	font-size: 12px !important;
}
.thyuu-meta-form .components-color-palette__custom-color-text-wrapper {
	font-size: 12px;
	padding: .75em;
	height: 40px;
	flex-flow: row wrap !important;
	justify-content: left !important;
	align-items: center;
}
.thyuu-meta-form .components-circular-option-picker {
	margin-block: -64px .5em;
	width: 50px;
	min-width: auto;
	align-self: flex-end;
}
.thyuu-meta-form .components-external-link__contents {
	text-decoration: none;
}
.thyuu-embed-block {
	display: flex;
	flex-flow: column;
	font-size: 12px;
	gap: 1em;
	padding: 1em;
	background-color: #fff;
	color: var(--wp-components-color-foreground, #1e1e1e);
	border-radius: var(--thyuu--size-radius);
	outline: thin solid var(--thyuu--color-back-font);
	line-height: 1;
}
.thyuu-embed-refer {
	font-size: 1em;
	outline: 0;
	margin: -.25em -.75em -.75em;
	background: 0;
	border-radius: 0;
}
.thyuu-embed-refer summary {
	display: flex;
	align-items: center;
	justify-content: space-between;
	pointer-events: none;
	padding: 0 0 1em;
	margin: 0;
	color: inherit;
}
.thyuu-embed-refer summary::before,
.thyuu-embed-refer summary::-webkit-details-marker {
	display:none;
}
.thyuu-embed-refer summary :is(i, h5) {
	display: inline-flex;
	align-items: center;
	font-size: 13px;
	gap: .5em;
	margin: 0;
}
.thyuu-embed-refer summary :is(i, h5):before {
	cursor: pointer;
	pointer-events: auto;
	font-size: 1.5em;
	line-height: 1;
}
.thyuu-embed-block details h6 {
	margin: 1em 0;
	font-size: 1em;
}
.thyuu-embed-block details ul {
	padding: .5em 2em;
	color: hsl(0deg 0% 0% / 50%);
	background: var(--thyuu--color-back-font);
	border-radius: 1em;
	cursor: auto;
}
.thyuu-embed-block details ul i {
	color: var(--wp-components-color-accent, var(--wp-admin-theme-color, #3858e9));
}
.thyuu-embed-block :is(input, select) {
	color: var(--wp-components-color-foreground, #1e1e1e);
	border: 0;
	border-radius: 1em;
	background-color: var(--thyuu--color-back-font);
	width: auto;
	flex: 0;
	font-size: inherit;
	min-height: 3em;
}
.thyuu-embed-block input {
	flex: auto;
	min-width: 30ch;
}
.thyuu-embed-panel {
	display: flex;
	flex-wrap: wrap;
	gap: 1em;
}
.thyuu-embed-block .thyuu-upbtn {
	display: flex;
	flex-direction: column;
	font: inherit;
	flex: 1;
	aspect-ratio: 1;
	height: auto;
	min-height: 6em;
	min-width: 6em;
	outline: thin solid var(--thyuu--color-back-font);
	color: hsl(var(--thyuu--color-font) / .7);
	background: var(--thyuu--color-back-font);
	border-radius: 1em;
	overflow: hidden;
	padding: 0;
	gap: 1em;
}
.thyuu-embed-block .thyuu-upbtn:before {
	padding: 1em;
	background: var(--thyuu--color-back-font);
	border-radius: 50%;
	z-index: 2;
}
.thyuu-embed-block .thyuu-upbtn.has-obj:before {
	position: absolute;
	color: white;
	outline: thin solid rgb(255 255 255 / 10%);
	backdrop-filter: blur(1em) saturate(2);
}
.thyuu-embed-block .media-obj {
	width: 100%;
	height: 100%;
	object-fit: cover;
	background: #000;
	transition: .3s;
}
.thyuu-embed-block .thyuu-upbtn:hover .media-obj {
	filter: brightness(.5);
	scale: 1.05;
}
.thyuu-embed-block thyuu-embed {
	width: 100%;
	background: var(--thyuu--color-back-font);
	color: inherit;
}
.dashicons-thyuu-icon-livephoto:before {
	content: "\e7a5";
}
.dashicons-thyuu-icon-video:before {
	content: "\e8af";
}
.dashicons-thyuu-icon-music:before {
	content: "\e63b";
}
.dashicons-thyuu-icon-pinglun:before {
	content: "\e8b4";
}

/* =仪表盘界面优化
-------------------------------------------------------------- */
#dashboard_site_health .health-check-widget {
	display: flex;
	flex-direction: column;
	align-items: stretch;
	gap: 1em;
}
#dashboard_site_health .health-check-widget-title-section {
	display: flex;
	gap: .5em;
}
#dashboard_site_health .site-health-details {
	background-color: #f6f7f7;
	border-radius: var(--thyuu--size-radius);
	padding: 1em;
    margin: 0 -.5em -1em;
}
#thyuu_theme_update_card .inside {
	display: flex;
	flex-direction: column;
	gap: .5em;
	margin: 0 -.5em -1em !important;
}
#thyuu_theme_update_card .refres {
	display: flex;
	align-items: center;
	gap: .25em;
	color: #787c82;
	text-decoration: 0;
	line-height: 1;
}
#thyuu_theme_update_card .refres:before {
	font-size: 1.25em;
}
#thyuu_theme_update_card .state {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	gap: .5em;
}
#thyuu_theme_update_card .state:first-child {
	margin: .25em .5em;
}
#thyuu_theme_update_card .state-icon {
	display: flex;
	align-items: center;
	gap: .5em;
	margin-right: auto;
	font-weight: 600;
}
#thyuu_theme_update_card .state-icon:before {
	font-size:1.5em;
}
.state-icon.thyuu-icon-refresh {
	color: #FF9800;
}
.state-icon.thyuu-icon-done {
	color: green;
}
.state-icon.thyuu-icon-cancel {
	color: red;
}
#thyuu_theme_update_card .uplog {
	background-color: #f6f7f7;
	border-radius: var(--thyuu--size-radius);
	padding: .5em 1em;
	max-height: 50vh;
	overflow: auto;
}
#thyuu_theme_update_card .uplog * {
	font-size: inherit;
	margin-block: .5em;
}
#thyuu_theme_update_card .uplog :is(h1, h2, h3, h4, h5, h6) {
	font-weight: 700;
	margin-block: 0 .5em;
	padding: 0;
}

/* =菜单界面优化
-------------------------------------------------------------- */
#toplevel_page_thyuu_theme .wp-menu-image:before {
	content: '\e603';
	font-family: thyuu-iconfont;
}
#toplevel_page_thyuu_theme a[href="admin.php?page=thyuu_theme_separator"] {
	pointer-events: none;
	opacity: .1;
	margin: -.5em 0;
}
#toplevel_page_thyuu_theme a [class*="thyuu-icon-"]::before {
	margin: 0 .5em 0 0;
	font-size: 1.25em;
}
.thyuu-menu-page {
	position: absolute;
	inset: 0;
	width: auto;
	height: calc(100vh - var(--wp-admin--admin-bar--height));
	margin-left: -20px;
	box-sizing: border-box;
	z-index: 2;
}
@media screen and (max-width: 782px) {
	.thyuu-menu-page {
		top: var(--wp-admin--admin-bar--height);
		margin-left: -10px;
	}
}
.thyuu-menu-page iframe {
	display: block;
	width: 100%;
	height: 100%;
	overflow: auto;
}
iframe.thyuu-iconfont-demo {
	width: calc(100% + 2em);
	margin: 0 -1em;
}
.side-switch.is-help {
	display: flex;
	flex-flow: wrap;
	place-content: space-around;
	gap: 1.5em;
	padding: 1.5em;
	line-height: 2;
	height: 100%;
	overflow: auto;
	box-sizing: border-box;
}
.side-switch.is-help:before {
	content: "";
}
.side-switch.is-help .thyuu-block {
	position: relative;
	display: flex;
	flex: min(var(--thyuu--size-card-normal), 100%);
	flex-flow: column;
	border-radius: 1em;
	padding: 1em;
	gap: .5em;
	background: hsl(0deg 0% 100% / .7);
}
.side-switch.is-help .thyuu-block:not(.thyuu-noone)::before {
	position: absolute;
	top: .1em;
	right: .1em;
	line-height: 1;
	font-size: 6em;
	opacity: .03;
	pointer-events: none;
}
.side-switch.is-help :where(cite, time, h6, caption) {
	color: hsl(var(--thyuu--color-font) / .6);
	font-size: var(--thyuu--size-small);
	margin: 0;
}
.side-switch.is-help h6:before {
	display: inline-block;
	color: hsl(var(--thyuu--main-color) / .5);
	background: hsl(var(--thyuu--main-color) / .1);
	border-radius: 50%;
	text-align: center;
	font-size: var(--thyuu--size-medium);
	width: 2em;
	height: 2em;
	line-height: 2em;
	margin: -.25em .5em -.25em -.25em;
}
.side-switch.is-help .thyuu-block ul {
	height: 100%;
	display: flex;
	flex-flow: column;
	gap: .75em;
	margin: -1em;
	padding: 1em;
	mask: var(--thyuu--mask-scroll-y);
	overflow: auto;
}
.side-switch.is-help .thyuu-block ul li {
	position: relative;
	display: flex;
	align-items: center;
	gap: .5em;
}
.side-switch.is-help .thyuu-block li time {
	position: relative;
	flex: 0 0 6.75em;
}
.side-switch.is-help hgroup {
	flex: 100%;
}
.side-switch.is-help h1 {
	font-family: var(--thyuu--font-family-slogn);
	margin: 0 0 1em;
	line-height: 1.5;
	font-synthesis: none;
}
.side-switch.is-help em {
	font-variant-numeric: tabular-nums;
	color: hsl(var(--thyuu--main-color));
	background: hsl(var(--thyuu--main-color) / .1);
	display: inline-block;
	border-radius: 2em;
	margin: 0 .5em;
	padding: .25em .5em;
	line-height: 1;
	font-style: normal;
}
.side-switch.is-help ol.tonewpost {
	flex-flow: wrap;
	gap: 3em;
}
.side-switch.is-help section {
	max-height: none;
	gap: 0;
}
.side-switch.is-help section:not(.thyuu-noone)::before {
	content: "STEP 1";
	font-weight: var(--thyuu--font-weight-title);
	line-height: .75;
	-webkit-text-fill-color: transparent;
	-webkit-text-stroke: thin;
}
.side-switch.is-help section:nth-of-type(2)::before {
	content: "STEP 2";
}
.side-switch.is-help section:nth-of-type(3)::before {
	content: "STEP 3";
}
.side-switch.is-help h5 {
	display: flex;
	align-items: center;
	font-size: 1em;
	gap: .5em;
	margin: 1em 0;
	margin: 0;
}
.side-switch.is-help h5:before {
	content: "\e61d";
	font-family: thyuu-iconfont;
	font-size: 1.25em;
	line-height: 0;
}
.side-switch.is-help h5 a:after {
	content: "↗";
	margin: 0 -.5em 0 .5em;
	color: hsl(var(--thyuu--main-color));
	background: hsl(var(--thyuu--main-color) / .1);
	display: inline-block;
	border-radius: 2em;
	padding: .25em;
	line-height: 1;
}
.side-switch.is-help ol {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	padding: 0 0 1em 1.75em;
	color: hsl(var(--thyuu--color-font) / .6);
	margin: .5em 0 0;
}
.side-switch.is-help ol li {
	list-style: disc;
	margin: 0;
}
.side-switch.is-help ol a:before {
	content: "\e649";
	margin: 0 .5em 0 -1.5em;
}
.side-switch.is-help a {
	text-decoration: none;
	color: inherit;
}

/* =主题设置界面
-------------------------------------------------------------- */
.preview-mobile .wp-full-overlay-main {
	height: 80%;
	border-radius: 1em;
	overflow: hidden;
	width: min(100%, 400px);
	margin-left: max(-50%, -200px);
}
button.wp-color-result {
	border-color: #0000 !important;
	box-shadow: none !important;
	overflow: hidden;
}
#customize-controls button.accordion-trigger:before {
	content: "\e61d";
	margin: 0 .5em 0 0;
}
#customize-controls button[aria-controls="title_tagline-content"]:before {
	content: "\e64f";
}
#customize-controls button[aria-controls="colors-content"]:before {
	content: "\e640";
}
#customize-controls button[aria-controls="assets_mode-content"]:before {
	content: "\e635";
}
#customize-controls button[aria-controls="home_pages-content"]:before {
	content: "\e612";
}
#customize-controls button[aria-controls="nav_menus-content"]:before {
	content: "\e652";
}
#customize-controls button[aria-controls="header_image-content"]:before {
	content: "\e694";
}
#customize-controls button[aria-controls="custom_css-content"]:before {
	content: "\e698";
}
.customize-pane-child > li.customize-control:not(.customize-control-nav_menu_item,.customize-control-nav_menu) {
	position: relative;
	font-size: 12px;
	padding: 1em;
	margin-block: .5em;
	border-radius: 1em;
	box-sizing: border-box;
	background: white;
	accent-color: var(--wp-admin-theme-color, #2271b1);
}
#customize-controls .customize-control-title,
#customize-controls .customize-control-description {
	font-style: normal;
	flex: 100%;
	line-height: 1.5;
	margin-bottom: .5em;
}
#customize-controls .customize-control-description ol {
	list-style: decimal;
	margin: 1em 0 1em 1.25em;
	font-size: 12px;
	opacity: .7;
}
:is(.customize-control-radio, .customize-control-checkbox) .customize-inside-control-row:last-child,
#customize-controls .customize-control-description:last-child {
	margin-bottom: 0;
}
#customize-controls :is(input[type=color], input[type=date], input[type=datetime-local], input[type=datetime], input[type=email], input[type=month], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=time], input[type=url], input[type=week], select, textarea) {
	font-size: 12px;
	outline: none !important;
	box-shadow: none !important;
	transition: .5s;
	color: var(--wp-admin-theme-color,#2271b1);
	border-radius: 0;
	border: 0;
	border-bottom: 1px dotted #cccccc;
	background-color: #fff;
	padding: 0;
	text-overflow: ellipsis;
}
:is(.customize-control-radio,.customize-control-checkbox) .customize-inside-control-row {
	margin: 0 0 1em;
	padding: 0;
}
.customize-control-checkbox:not(.assigned-menu-location) .customize-inside-control-row {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: space-between;
	gap: .5em;
}
.customize-control-checkbox:not(.assigned-menu-location) label {
	order: -1;
	font-size: 14px;
	line-height: 1.75;
	font-weight: 600;
}
.customize-control-radio label {
	display: flex;
	align-items: baseline;
	outline: 1px dotted #ccc;
	border-radius: 1em;
	padding: .5em;
	gap: .5em;
	cursor: pointer;
}
.customize-control-radio label:before {
	content: "\e647";
	color: inherit !important;
	font-family: 'thyuu-iconfont';
}
.customize-control-radio input:checked + label:before {
	content: "\e66a";
}
.customize-control-radio input {
	display: none;
}
.customize-control-radio input:checked + label {
	outline-color: currentColor;
	color: var(--wp-admin-theme-color,#2271b1);
}
#customize-control-limited_start_time,
#customize-control-limited_end_time {
	width: 50%;
	float: left;
	clear: none;
	border-radius: 1em 0 0 1em;
}
#customize-control-limited_end_time {
	border-radius: 0 1em 1em 0;
}
#customize-control-logo_style {
	display: flex;
	flex-wrap: wrap;
	gap: 0 1em;
}
#customize-control-logo_style .customize-inside-control-row {
	flex: calc(50% - 1em);
}
:is(#customize-control-logo_style, #customize-control-theme_plots, #customize-control-post_title_position) label {
	flex-flow: column;
	align-items: center;
}
:is(#customize-control-logo_style, #customize-control-theme_plots, #customize-control-post_title_position) label:before {
	content: "";
	width: 100%;
	aspect-ratio: 16 / 9;
	border-bottom: 1px dotted #ccc;
	background: url(../../assets/files/setting/shrink.svg) 100% / contain;
}
:is(#customize-control-logo_style, #customize-control-post_title_position) label:before {
	aspect-ratio: 16 / 5;
}
#_customize-input-theme_plots-radio-expand + label:before {
	background-image: url(../../assets/files/setting/expand.svg);
}
#_customize-input-logo_style-radio-logo + label:before {
	background-image: url(../../assets/files/setting/logo_style_logo.svg);
}
#_customize-input-logo_style-radio-text + label:before {
	background-image: url(../../assets/files/setting/logo_style_text.svg);
}
#_customize-input-logo_style-radio-main + label:before {
	background-image: url(../../assets/files/setting/logo_style_main.svg);
}
#_customize-input-logo_style-radio-both + label:before {
	background-image: url(../../assets/files/setting/logo_style_both.svg);
}
#_customize-input-logo_style-radio-full + label:before {
	background-image: url(../../assets/files/setting/logo_style_full.svg);
}
#_customize-input-post_title_position-radio-auto + label:before {
	background-image: url(../../assets/files/setting/post-title-position-auto.svg);
}
#_customize-input-post_title_position-radio-center + label:before {
	background-image: url(../../assets/files/setting/post-title-position-center.svg);
}
#_customize-input-post_title_position-radio-left + label:before {
	background-image: url(../../assets/files/setting/post-title-position-left.svg);
}
.wp-customizer :is(.menu-item-handle, .menu-item-settings) {
	padding: 1em;
	margin-block: .5em;
	background: white;
	border: 0;
	border-radius: .5em;
}
.wp-customizer .menu-item-handle {
	padding-block: .5em;
	margin-block: .125em;
}
.wp-customizer .menu-item-handle .is-submenu {
	font-size: 12px;
	font-style: normal;
}
.wp-customizer .control-section-nav_menu .menu-location-settings {
	border: 0;
	margin: 0;
	padding: 0;
}
/* =Editor
----------------------------------------------- */
.editor-styles-wrapper ol, .editor-styles-wrapper ul, .editor-styles-wrapper ol li, .editor-styles-wrapper ul li {
	list-style-type: revert;
}
.wp-block-image.is-style-rounded img {
	border-radius: var(--thyuu--size-radius);
}